@echo off

GOTO CHECKACTION

:GETINPUTS
set SERVER_PROPERTIES_PATH="%MDM_TOOLS_HOME%"\MDMMetadataTools\properties\%serverName%.sas.client.props
for /f "tokens=2 delims==" %%i in ('findstr "com.ibm.CORBA.securityEnabled" %SERVER_PROPERTIES_PATH%') do set securityEnabled=%%i

set CORBA_CONFIG=-Dcom.ibm.CORBA.ConfigURL=file:%SERVER_PROPERTIES_PATH%
for /f "tokens=2 delims==" %%i in ('findstr "com.ibm.CORBA.loginUserid" %SERVER_PROPERTIES_PATH%') do set userName=%%i
for /f "tokens=2 delims==" %%i in ('findstr "userRoles" %SERVER_PROPERTIES_PATH%') do set userRoles=%%i
set uN="%userName%"
set uR="%userRoles%"

IF %securityEnabled%""==true"" (
%JAVA_HOME%\bin\java %CORBA_CONFIG% -classpath %CP% com.ibm.mdm.tools.metadata.admin.deploy.MDMLevelManager %action% %metadataPackageFolder% %SERVER_PROPERTIES_PATH% %uN% %uR%
) ELSE (
%JAVA_HOME%\bin\java -classpath %CP% com.ibm.mdm.tools.metadata.admin.deploy.MDMLevelManager %action% %metadataPackageFolder% %SERVER_PROPERTIES_PATH%
)
GOTO END

:CHECKACTION
IF %1""=="" (
    set key=MDM00004070
    GOTO SHOWMSG    
) ELSE (
    IF NOT "%1"=="-deploy" (
        set key=MDM00004070
        GOTO SHOWMSG    
    ) ELSE (
        set action=%1
        GOTO CHECKLOC
    )
)

:CHECKLOC
IF %2""=="" (
    set key=MDM00004070
    GOTO SHOWMSG    
) ELSE (
    IF NOT "%2"=="-location" (
        set key=MDM00004070
        GOTO SHOWMSG    
    ) ELSE (
        GOTO CHECKLOCDATA
    )
)

:CHECKLOCDATA
IF %3""=="" (
    set key=MDM00004070
    GOTO SHOWMSG    
) ELSE (
    IF NOT EXIST %3 (
    	set key=MDM00004110
        GOTO SHOWMSG
    ) ELSE (
        set metadataPackageFolder=%3
        GOTO CHECKSRVR
    )
)

:CHECKSRVR
IF NOT "%4"=="" (
  IF NOT "%4"=="-serverName" (
        set key=MDM00004070
        GOTO SHOWMSG
  ) ELSE (
        GOTO CHECKSVRNAME 
  )
) ELSE (
    IF %mdm_dataserver_address%""=="" (
        set key=MDM00004100
        GOTO SHOWMSG
    ) ELSE (
        set serverName=%mdm_dataserver_address%
        GOTO CHECKSVRFILE
    )
)

:CHECKSVRNAME
IF %5""=="" (
    set key=MDM00004070
    GOTO SHOWMSG
) ELSE (
    set serverName=%5
    GOTO CHECKSVRFILE
)
    
:CHECKSVRFILE
IF NOT EXIST "%MDM_TOOLS_HOME%"\MDMMetadataTools\properties\%serverName%.sas.client.props (
    set key=MDM00004120
    GOTO SHOWMSG
) ELSE (
    GOTO GETINPUTS
)
    
:SHOWMSG
call ShowMessage
GOTO END

:END
